[v-cloak] {
    display: none;
}

.projects {
    min-height: 480px;
    width: 100%;
}

.side_toolbar {
    position: fixed;
    top: 200px;
    right: 20px;
    bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.side_toolbar .close_btn {
    width: 48px;
    height: 48px;
    border: none;
    margin: 10px;
    padding: 0;
    border-radius: 30px;
}

.side_toolbar .opt_ul {
    margin: 10px;
}

.back_to_top {
    width: 48px;
    height: 48px;
    margin: 10px;
}

.back_to_top .ivu-back-top {
    position: static;
}

.back_to_top .ivu-back-top i {
    padding: 12px;
}

.zan_box {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0px;
    left: 20px;
}

.zan_box a {
    display: flex;
    flex-direction: column;
    position: absolute;
    font-size: 20px;
    font-weight: bold;
    color: white;
}

.zan_box a span {
    font-size: 20px;
    position: absolute;
    top: 65px;
    left: 30px;
}

.opt_ul .zan_btn .ivu-btn,
.opt_ul .edit_btn .ivu-btn,
.opt_ul .delete_btn .ivu-btn,
.opt_ul .show_btn .ivu-btn {
    width: 48px;
    height: 48px;
    padding: 0;
    font-size: 24px;
    margin-top: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border: none;
}

/*项目头部信息*/

.project_header {
    display: flex;
    justify-content: space-between;
    width: 80%;
    margin: auto;
    background: white;
    padding: 50px 20px 20px;
}

.project_header .left {
    display: flex;
    justify-content: left;
}

.project_header .right {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 150px;
}

.project_header .stats_tags {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.project_header .stats_tags .badges,
.project_header .stats_tags .likes,
.project_header .stats_tags .comments {
    display: flex;
    flex-direction: row;
    align-items: center;
    letter-spacing: .1em;
}

.project_header .score {
    margin-top: 20px;
    width: 100%;
    height: 60px;
    font-weight: bold;
    line-height: 54px;
    font-size: 22px;
    color: #CF011B;
    border-radius: 30px;
    border: solid 5px #EFEFEF;
    text-align: center;
}

.project_header .user_info a {
    flex: 1;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding-right: 10px;
}

.project_header .user_info a.owner {
    margin-right: 30px;
}

.project_header .user_info .photo {
    width: 40px;
    height: 40px;
    overflow: hidden;
    border-radius: 18px;
    display: block;
}

.project_header .user_info a.owner .photo {
    width: 40px;
    height: 40px;
    border-radius: 25px;
}

.project_header .user_info .name {
    font-size: 12px;
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    font-weight: bold;
    color: var(--mid-gray);
    width: 100%;
    margin-top: .5em;
    letter-spacing: .1em;
}

/*项目详情内容*/
.project_detail {
    width: 80%;
    margin: 0 auto 60px;
    background: white;
    padding: 0 20px 20px;
}

.project_detail h2 {
    margin-top: 20px;
    margin-bottom: 20px;
    width: 60%;
    color: var(--title-text);
    font-size: 36px;
}

.project_detail .publishtime a {
    color: var(--theme-green);
    font-weight: bold;
}



.project_detail .abstract {
    font-size: 16px;
    line-height: 2em;
    letter-spacing: .1px;
    margin: 2em 0;
}

/* 作品图片展示 */
.main_content figure {
    margin-top: 10px;
    position: relative;
}

.main_content figure img {
    width: 100%;
}

.main_content figure figcaption {
    font-weight: bold;
    margin: 20px 30px 40px;
    text-align: center;
    color: #999;
    display: flex;
    flex-direction: column;
    display: none;
}

.main_content figure figcaption .title {
    font-size: 0.8em;
    font-weight: bold;
    line-height: 2em;
    margin: 10px 30px 10px;
    text-align: center;
    color: #999;
}

.main_content figure figcaption .description {
    font-weight: normal;
    margin-left: 10px;
    text-align: left;
    text-indent: 2em;
}

.main_content .attach_figure .attachment_ico {
    position: absolute;
    top: 10px;
    left: 10px;
    padding: 10px;
}

/* 评论框 */
.comment_box {
    margin: 40px auto;
    background: #fff;
    width: 80%;
}

.comment_box h4 {
    margin: 20px auto;
    text-align: left;
    font-size: 36px;
    color: var(--mid-gray);
    font-weight: normal;
}

/* 其他用户评论 */
.comment_list li {
    display: flex;

    padding: 20px 0;
    border-bottom: #ccc 1px dotted;
    position: relative;
}

.comment_box .user_info {
    display: flex;
    flex-direction: column;
    width: 70px;
    flex: none;
}

.comment_box .user_info a {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.comment_box .user_info .photo {
    width: 40px;
    height: 40px;
    overflow: hidden;
    border-radius: 18px;
    margin: 5px auto;
    display: block;
    background: #999;
}

.comment_box .name {
    text-decoration: none;
    color: var(--mid-gray);
    font-size: 12px;
    font-weight: bold;
    text-align: center;
}

.comment_box .comment_wrapper {
    flex: 100%;
}



.comment_box .publishtime {
    font-size: 12px;
    color: #999;
    margin-left: 10px;
    vertical-align: middle;
}



.comment_box .comment {
    font-size: 14px;
    line-height: 1.5em;
    color: #666;
    display: block;
    margin: 8px 2em;
}

.comment_box .createAt {
    font-size: 12px;
    text-align: right;
    margin: 8px 2em;
    color: var(--light-gray);
}

.comment_box .toolbar {
    width: 60px;
    flex: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.comment_box .toolbar .delete_comment {
    display: block;
    width: 30px;
    height: 30px;

}

/* 我的评论输入 */
.comment_form {
    padding: 20px 0;
    position: relative;
    display: flex;
}

.comment_form .user_info {
    flex: none;
}

.comment_form .comment_wrapper {
    flex: auto;
    margin: 10px 2em;

}

.visibleText {
    font-size: 26px;
    text-align: center;
    margin: 20px 30px;
    color: #999;
    background: #fff;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/*打分弹窗*/
.score_box .title {
    color: #47cb89;
    margin-bottom: 10px;
    text-align: center;
}

.score_box .des {
    text-align: center;
}

.score_box .ivu-input-wrapper {
    width: 150px;
    margin-right: 20px;
}

.score_box .scoreClose {
    position: absolute;
    margin-top: -10px;
    margin-left: 255px;
    cursor: pointer;
}

@media screen and (max-width: 540px) {

    /* 当屏幕尺寸小于1200px时，应用下面的CSS样式 */
    .side_toolbar {
        right: 10px;
    }

    .project_header {
        width: auto;
    }

    .project_header .user_info a.owner {
        margin-right: 10px;
    }

    .project_detail {
        width: auto;
        margin: 0 70px 10px 10px;
    }

    .comment_box {
        width: auto;
        margin: 60px 70px 10px 10px;
    }
}